PETSc version 3.15.5
Fix/Edit manual page

# MatIsLinear

Check if a shell matrix A is a linear operator.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatIsLinear(Mat A,PetscInt n,PetscBool  *flg)

Collective on Mat

### Input Parameters

| A | - the shell matrix
| n | - number of random vectors to be tested

### Output Parameter

| flg | - PETSC_TRUE if the shell matrix is linear; PETSC_FALSE otherwise.

### Level

intermediate

### Location

src/mat/utils/multequal.c

### Examples

src/ksp/ksp/tutorials/ex14f.F90.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages